Files
5 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/filesList all Files
Returns a list of Files. The Files are sorted with the most recently created appearing first.
Query parameters
purposesarray of string (logo | icon | dispute_evidence | onboarding_documentation | isv_cover_sheet | statement | bank_verification)optionalA list of file purposes to filter on.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of Filerequired
/v1/filesCreate a File
Creates a File.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body multipart/form-datarequired
filestring binaryrequiredA file to upload. The file should follow the specifications of RFC 2388 (which defines file transfers for the multipart/form-data protocol).
purposestring (logo | icon | dispute_evidence | onboarding_documentation | isv_cover_sheet | statement | bank_verification)requiredThe file purpose.
titlestringoptionalThe user friendly file title.
Responses
201File
created_atstring date-timerequiredTime at which the object was created.
expires_atstring date-timeoptionalTime at which the file should no longer be accessible.
filenamestringrequiredThe filename.
idstringrequiredUnique identifier for the object.
purposestring (logo | icon | terms | report | dispute_evidence | onboarding_documentation | isv_cover_sheet | statement | …)requiredThe file purpose.
sizenumberrequiredThe file size.
titlestringoptionalThe user friendly title.
typestring (png | jpg | pdf | csv | tiff | ico | xlsx | xls | …)requiredThe file type.
updated_atstring date-timerequiredTime at which the object was last updated.
urlstringoptionalThe URL for the file.
/v1/files/{id}Delete a File
Deletes a File. This cannot be undone.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
204object
/v1/files/{id}Get a File
Retrieves the details of an existing File.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200File
created_atstring date-timerequiredTime at which the object was created.
expires_atstring date-timeoptionalTime at which the file should no longer be accessible.
filenamestringrequiredThe filename.
idstringrequiredUnique identifier for the object.
purposestring (logo | icon | terms | report | dispute_evidence | onboarding_documentation | isv_cover_sheet | statement | …)requiredThe file purpose.
sizenumberrequiredThe file size.
titlestringoptionalThe user friendly title.
typestring (png | jpg | pdf | csv | tiff | ico | xlsx | xls | …)requiredThe file type.
updated_atstring date-timerequiredTime at which the object was last updated.
urlstringoptionalThe URL for the file.
/v1/files/{id}/contentsGet the Contents of a File
Gets the contents of a File.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200string binary
